Java Question [Solved]Maven artifact not found - com.google.dagger/dagger-android-support

DonManfred

Expert
Licensed User


I tried to add the dependency to the extras/b4aremote but i can´t get rid of it.

I am trying to build a wrapper for Firebase-InAppMessaging which is currently still in beta.
It seems that the dependency came from the firebase-inappmessaging-17.1.1

The pom file is (found at E:\AndroidSDK.Win10\extras\b4a_remote\com\google\firebase\firebase-inappmessaging\17.1.1 )
B4X:
<?xml version='1.0' encoding='UTF-8'?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.google.firebase</groupId>
  <artifactId>firebase-inappmessaging</artifactId>
  <version>17.1.1</version>
  <packaging>aar</packaging>
  <dependencies>
    <dependency>
      <groupId>com.google.android.gms</groupId>
      <artifactId>play-services-clearcut</artifactId>
      <version>16.0.0</version>
      <scope>compile</scope>
      <type>aar</type>
    </dependency>
    <dependency>
      <groupId>com.google.auto.value</groupId>
      <artifactId>auto-value-annotations</artifactId>
      <version>1.6</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>com.google.dagger</groupId>
      <artifactId>dagger</artifactId>
      <version>2.13</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>com.google.firebase</groupId>
      <artifactId>firebase-common</artifactId>
      <version>16.1.0</version>
      <scope>compile</scope>
      <type>aar</type>
    </dependency>
    <dependency>
      <groupId>com.google.firebase</groupId>
      <artifactId>firebase-iid</artifactId>
      <version>17.0.3</version>
      <scope>compile</scope>
      <type>aar</type>
    </dependency>
    <dependency>
      <groupId>com.google.firebase</groupId>
      <artifactId>firebase-measurement-connector</artifactId>
      <version>17.0.0</version>
      <scope>compile</scope>
      <type>aar</type>
    </dependency>
    <dependency>
      <groupId>com.google.firebase</groupId>
      <artifactId>protolite-well-known-types</artifactId>
      <version>16.0.1</version>
      <scope>compile</scope>
      <type>aar</type>
    </dependency>
    <dependency>
      <groupId>io.grpc</groupId>
      <artifactId>grpc-okhttp</artifactId>
      <version>1.12.0</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>io.grpc</groupId>
      <artifactId>grpc-protobuf-lite</artifactId>
      <version>1.12.0</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>io.grpc</groupId>
      <artifactId>grpc-stub</artifactId>
      <version>1.12.0</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>io.reactivex.rxjava2</groupId>
      <artifactId>rxandroid</artifactId>
      <version>2.0.2</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
    <dependency>
      <groupId>io.reactivex.rxjava2</groupId>
      <artifactId>rxjava</artifactId>
      <version>2.1.14</version>
      <scope>compile</scope>
      <type>jar</type>
    </dependency>
  </dependencies>
  <name>firebase-inappmessaging</name>
  <licenses>
    <license>
      <name>Android Software Development Kit License</name>
      <url>https://developer.android.com/studio/terms.html</url>
      <distribution>repo</distribution>
    </license>
  </licenses>
</project>
Any hints how i can add dagger so that the firebase jar can find the dagger components.

Edit:
The fool can be found in a Mirror.
I have multiple SDKs on my HDD. Say A and B. B4A is using A but i patched the extrafolder and installed-components in B.
I patched A now. I can compile now.
 

Attachments

Last edited:

rbghongade

Active Member
Licensed User
Dear Don,
I am having the same problem.
Where to copy the attached files? My path shows:
D:\Android\extras\b4a_remote\com\google\firebase\firebase-inappmessaging\19.0.2
 
Top